Skip to main content
GET
Generate a secure, time-limited signed URL for a SubVerse private asset

Authorizations

x-api-key
string
header
required

Authentication header containing API key from SubVerse dashboard.

Query Parameters

callId
string

Unique identifier for the call.

Example:

"12345"

callRecordingUrl
string

A direct S3/Storage URL to a SubVerse private asset (e.g., a call recording, session attachment, etc.).

Example:

"https://s3.amazonaws.com/bucket/recording.mp3"

Response

200 - application/json

Returns error or success Response

responseCode
integer
required

Always returns 200 value, with error or success response details in message.

message
string
required

Success or error message with description.

data
any | null

Additional details if available.